//package teikade.debug;

import java.awt.*;

public class ApplicationFrame extends Frame {

    /**
     * Handles the event. Returns true if the event is handled and
     * should not be passed to the parent of this component. The default
     * event handler calls some helper methods to make life easier
     * on the programmer.
     * @param evt the event
     * @see java.awt.Component#handleEvent
     */
    public boolean handleEvent(Event evt) {
	if (evt.id == Event.WINDOW_DESTROY) {
	    hide();
	    dispose();
	    System.exit(0);
	}
	return super.handleEvent(evt);
    }
}
