/*
 * Copyright (c) 1996 PFU Limited.
 *	author Osam Satoh
 */
package teikade.gui.menu;

import java.awt.*;
import teikade.gui.component.*;
import teikade.sys.TeikadeProperties;

public class FrameRaiseMenuItem extends DMenuItem {
    Frame frame;

    FrameRaiseMenuItem(Frame f, String item) {
	super(item);
	frame = f;
    }

    FrameRaiseMenuItem(Frame f) {
	this(f, f.getTitle());
    }

    /**
     * handle event by myself
     */
    public boolean postEvent(Event evt) {
	frame.show();
	frame.requestFocus();
	return true;
    }
}
