package teikade.util;

public class CommandExternalTest implements CommandExternalListener {
    public void executing(Command command) {
	System.out.println("executing...");
    }

    public void finished(Command command, int status) {
	System.out.print("finished: ");
	System.out.println(status);
    }

    public void aborted(Command command, Exception e) {
	System.out.print("aborted: ");
	System.out.println(e.getMessage());
    }

    public void output(Command command, String message) {
	System.out.print("output: ");
	System.out.println(message);
    }

    public void error(Command command, String message) {
	System.out.print("error: ");
	System.out.println(message);
    }

    public static void main(String[] args) {
	new CommandExternal(args, new CommandExternalTest()).execute();
    }
}
